Delete Purchase Order Line Item
DELETE /purchase_orders/{purchase_order_id}/purchase_order_product_variants/{id}
DELETE
/purchase_orders/{purchase_order_id}/purchase_order_product_variants/{id}
Removes one line item. This is the ONLY way to remove a line item -
nested line-item attributes on Update Purchase Order have no _destroy
support.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” purchase_order_id
required
integer
Example
491 id
required
integer
Line item (purchase_order_product_variant) id.
Example
1575Header Parameters
Section titled “Header Parameters ” x-api-key
string
E.g. 123
Example
123Responses
Section titled “ Responses ”Deleted.
object
success
boolean
Example
{ "success": true}“You can not delete received line item
The user lacks the manage_purchase_orders permission. Body is {"error_messages":[...]}. This route has no plan-feature gate.
Purchase order or line item not found for this company.